std::tr2::bases< _Tp > Struct Template Reference
Metaprogramming

## Public Types

typedef __reflection_typelist < __bases(_Tp)...> | type

## Detailed Description

### template<typename _Tp>
struct std::tr2::bases< _Tp >

Sequence abstraction metafunctions for manipulating a typelist.

Enumerate all the base classes of a class. Form of a typelist.

Definition at line 88 of file tr2/type_traits.

The documentation for this struct was generated from the following file:

- tr2/type_traits